import type { ReactNode } from "react";

interface ITooltipProps {
  children: ReactNode;
}

interface IRegisterMessageProps {
  actionName: string;
}

export function Tooltip({ children }: ITooltipProps) {
  return (
    <div id="flying-tooltip" className="tooltip">
      {children}
    </div>
  );
}

export function RegisterMessage({ actionName }: IRegisterMessageProps) {
  <p className="tooltip__message tooltip__message--register">
    <span className="tooltip__action">{actionName}</span> is only available to{" "}
    registered users.
    <br />
    <br />
  </p>;
}
